Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd
Interface SyndContent

All Superinterfaces:
  Cloneable, CopyFrom<SyndContent>

All Known Implementing Classes:
  SyndContentImpl

    public interface SyndContent

extends Cloneable, CopyFrom<SyndContent>

Bean interface for content of SyndFeedImpl entries.

Author:
  Alejandro Abdelnur

Method Summary
`Object` | `clone()` Creates a deep clone of the object.
`String` | `getMode()` Gets the content mode (needed for Atom 0.3 support).
`String` | `getType()` Returns the content type.
`String` | `getValue()` Returns the content value.
`void` | `setMode(String mode)` Sets the content mode (needed for Atom 0.3 support).
`void` | `setType(String type)` Sets the content type.
`void` | `setValue(String value)` Sets the content value.

Methods inherited from interface com.sun.syndication.feed.CopyFrom
`copyFrom, getInterface`

Method Detail

### getType

    String getType()

  Returns the content type.

  When used for the description of an entry, if null 'text/plain' must be assumed.

  Returns:
    the content type, null if none.

### setType

    void setType(String type)

  Sets the content type.

  When used for the description of an entry, if null 'text/plain' must be assumed.

  Parameters:
    `type` - the content type to set, null if none.

### getMode

    String getMode()

  Gets the content mode (needed for Atom 0.3 support).

  Returns:
    type the content, null if none.

### setMode

    void setMode(String mode)

  Sets the content mode (needed for Atom 0.3 support).

  Parameters:
    `mode` - the content mode to set, null if none.

### getValue

    String getValue()

  Returns the content value.

  Returns:
    the content value, null if none.

### setValue

    void setValue(String value)

  Sets the content value.

  Parameters:
    `value` - the content value to set, null if none.

### clone

    Object clone()
                 throws CloneNotSupportedException

  Creates a deep clone of the object.

  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.